#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         PCFreak

 Script Function:
	Function to get a name from a SID

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

Func mySID2Name ($vSID)
	Local $aAcct
	$aAcct=_Security__LookupAccountSid($vSID)
if $aAcct <> 0 Then
	;$aAcct[0] - Account name
	;$aAcct[1] - Domain name
	;$aAcct[2] - SID type, which can be one of the following values:
		;1 - Indicates a user SID
		;2 - Indicates a group SID
		;3 - Indicates a domain SID
		;4 - Indicates an alias SID
		;5 - Indicates a SID for a well-known group
		;6 - Indicates a SID for a deleted account
		;7 - Indicates an invalid SID
		;8 - Indicates an unknown SID type
		;9 - Indicates a SID for a computer
	return $aAcct[0]
EndIf
EndFunc