#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         PCFreak

 Script Function:
	Function to verify if a user is member of a local group

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

;check group membership
Func _IsUserMemberOfLocalGroup($sUsername,$sGroupName)
	;thanks to PsaltyDS from the AutoITScript.com Forum for his impressions
	;http://www.autoitscript.com/forum/topic/91564-winapi-question/page__st__20
Local $sServer = @computername; empty = @computername
Local $tBufPtr = DllStructCreate("ptr")
Local $ptBufPtr = DllStructGetPtr($tBufPtr)
;Local $sLocalGroupNames; Receives struct with group names
Local $tEntriesRead = DllStructCreate("dword")
Local $ptEntriesRead = DllStructGetPtr($tEntriesRead)
Local $tTotalEntries = DllStructCreate("dword")
Local $ptTotalEntries = DllStructGetPtr($tTotalEntries)
Local $aRet = DllCall("Netapi32.dll", "int", "NetUserGetLocalGroups", _
    "wstr", $sServer, _
    "wstr", $sUsername, _
	"dword", 0, _
	"dword", 0, _
	"ptr", $ptBufPtr, _
	"dword", -1, _
	"ptr", $ptEntriesRead, _
	"ptr", $ptTotalEntries)
 If $aRet[0] Then Return SetError(1, $aRet[0])

Local $iEntriesRead = DllStructGetData($tEntriesRead, 1)
Local $pBuf = DllStructGetData($tBufPtr, 1)
Local $sLocalGroupUsersInfo0 = "ptr"
Local $tLocalGroupUsersInfo0 = DllStructCreate($sLocalGroupUsersInfo0)
Local $zLocalGroupUsersInfo0 = DllStructGetSize($tLocalGroupUsersInfo0)
Local $tLocalGroupName
Local $current
Local $IsMember=False
 For $i = 1 To $iEntriesRead
 $tLocalGroupUsersInfo0 = DllStructCreate($sLocalGroupUsersInfo0, $pBuf + ($i - 1) * $zLocalGroupUsersInfo0)
 $tLocalGroupName = DllStructCreate("wchar[256]", DllStructGetData($tLocalGroupUsersInfo0, 1))
 ;$sLocalGroupNames &= DllStructGetData($tLocalGroupName, 1) & "; "
 $current = DllStructGetData($tLocalGroupName, 1)
 if $current = $sGroupName then
	 $IsMember=True
	 exitloop
 EndIf
  Next
 DllCall("Netapi32.dll", "int", "NetApiBufferFree", "ptr", $pBuf)
 Return $IsMember
 EndFunc ;==>_NetUserGetLocalGroups
